#定制文档
##定制文档示例

	{
    "findbutton":false,
    "titlewidth":80,
    "main":[
        {
         "title":"推荐",
            "style":"hot",
            "titlebar":false,
            "searchbar":true,
            "postbutton":true,
            "hotkind":[1,3],
          "showtop":false
        },
        {
            "title":"话题",
            "style":"topic",
            "children":[
                {
                    "title":"话题组",
                    "style":"allcategory",
                    "searchbar":false
                },
                {
                    "title":"全部话题",
                    "style":"alltopic",
                    "searchbar":true
                }
            ]
        },
        {
            "title":"测试话题",
            "style":"topicnew",
            "titlebar":false,
            "searchbar":true,
            "postbutton":true,
          "showtop":true,
          "topicid":"574cfde7ee7850299fa5c53e"
        },
      {
        "title":"需求建议",
        "style":"topicnew",
        "titlebar":false,
        "searchbar":true,
        "postbutton":true,
        "showtop":false,
        "topicid":"568c8c557019c95edf49351"
      }
    ],
  	 "find":[
       {
          "title":"" ,
           "list":[
             {
               "name":"我的通知",
               "style":"umeng_comm_user_notification",
               "drawable":"umeng_comm_notification_icon"
             },
             {
               "name":"赞赞赞赞",
               "style":"umeng_comm_like",
               "drawable":"umeng_comm_notification_icon"
             },
             {
               "name":"消息消息",
               "style":"umeng_comm_notify",
               "drawable":"umeng_comm_notification_icon"
             }
           ]
       },
       {
           "title":"" ,
           "list":[
             {
               "name":"附近的帖子",
               "style":"umeng_comm_recommend_nearby",
               "drawable":"umeng_comm_notification_icon"
             },
             {
               "name":"附近的用户",
               "style":"umeng_comm_nearby_user",
               "drawable":"umeng_comm_notification_icon"
             },
             {
               "name":"设置",
               "style":"umeng_comm_setting",
               "drawable":"umeng_comm_notification_icon"
             }

           ]
       }
 	  ],
 	 "topic":[
    {
      "title":"最新",
      "style":"topicnew",
      "titlebar":false,
      "searchbar":true,
      "postbutton":true
    },
    {
      "title":"最后回复",
      "style":"topiclastreply",
      "titlebar":false,
      "searchbar":true,
      "postbutton":true
    }
 	 ]	

	}	
	
	
##具体字段解析：
findbutton是否有
title的宽度（有可能定义的名字很长）
main是里面需要有的界面，以及对应的属性，现在可以插入的界面有：
实时feed（realtime），推荐feed（recommend），最热feed（hot），关注feed（allfocus），topic（topic），好友圈（friend），附近feed（nearby），收藏的feed（favourite），某个话题下最新（topicnew），话题下推荐（topicrecommend），话题下最后回复（topiclastreply），话题下最热（topichot），推荐用户（recommenduser），发现（find），
对应属性解析：
title是显示的名字，style是类型，searchbar是是否有搜索框，postbutton是是否需要显示发送按钮，hotkind是最热下都有哪些分类，topicid是要显示话题下feed的id
在首页话题分类下可以显示的话题种类有：关注的话题（focus），所有话题（alltopic），所有话题组（allcategory），推荐话题（recommend）
话题详情下可选项：最新feed(topicnew)，话题下最后回复(topiclastreply)，话题下推荐(topicrecommend)，话题下最热(topichot)，活跃用户(active)
发现界面中可有项目：两个列表，title是指分类的名字，list中不同的object对应的不同item，一个object有三个参数，name是显示的名字，drawable是对应的icon图片名字，可以自定义，也可以用我们的。
style对应不同的fragment如下图所示

umeng_comm_user_notification 我的消息
umeng_comm_user_favorites 我的收藏
umeng_comm_recommend_friends 好友圈
umeng_comm_myfocus我关注的话题
umeng_comm_mypics我的相册
umeng_comm_recommend_nearby附近feed
umeng_comm_nearby_user附近好友
umeng_comm_realtime实时
umeng_comm_recommend_user推荐用户
umeng_comm_recommend_topic推荐话题
#关于UI主题设置
在umeng_comm_custom_styles这个文件中，有关于微社区所有的资源文件和颜色文件的声明，对于想使用不同颜色主题的用户，只需要更改对应的颜色即可。在umeng_custom_attrs中有对应文件的显示位置的介绍。
由于我们的工程许多文件都是复用的，所以有些颜色值也是复用的，所以你可能发现有个地方的颜色值这里没有写到，但是没关系，其他颜色变了，这个颜色也就跟着变了，这里变得是整体的主题风格。
在这里要说明的是，我们是将这个style设置到了application中，如果你的application设置了你们自己的主题，没关系，可以让我们的style集成你们的主题

    <style name="UmengDefault" parent="yourtheme">
    
对于使用aar集成的用户也想修改没关系，只需要继承UmengDefault style，覆盖对应的item即可    
    
如果没有直接使用即可
##用法
###只想更换颜色主题
只要替换对应的图片和颜色值即可
###重写所有主题
如果你想重写整个style的主题例如命名为selfcolor

 	<style name="selfcolor" parent="yourtheme">
 
 只需在初始化微社区sdk之前，进行一下设置即可
 
 	Constants.theme = "selfcolor"; 	 	
###用法举例
1.根据四季动态变换应用的颜色风格
首先在程序中设置四套主题（由于颜色和图片都很小，其实占不了多少空间）
分别命名主题为spring，summer，fall，winter，
然后根据系统时间，判定季节在初始化微社区sdk之前动态设置
	
	Constants.theme = "spring"; 	
	
或

	Constants.theme = "summer"; 
	
2.根据节日设置，动态改变颜色风格

	Constants.theme = "daytime";
	


3.如果有自己服务器的用户，可以根据服务器返回值，来动态更改设置
4.夜间模式，可以在自己的应用中设置夜间模式和白天模式供用户自主选择，然后在进入微社区，就会动态改变。
但这里要注意一件事，主题的值设置要在微社区sdk初始化之前，所以每次在应用运行时设置，要先退出微社区，将微社区的sdk置空，然后设置主题，重新初始化sdk即可。
###附录umengdefault
 	
 	<style name="UmengDefault"  parent="android:Theme.Light">

        <item name="default_background_color">@color/umeng_comm_default_background_color</item>
        <item name="umeng_comm_indicator_default">@color/umeng_comm_indicator_default</item>
        <item name="umeng_comm_indicator_highlight">@color/umeng_comm_text_topic_light_color</item>
        <item name="umeng_post_feed_button">@drawable/umeng_comm_new_post_btn_style</item>
        <item name="umeng_feed_tip_text_color">@color/umeng_text_common_default</item>
        <item name="umeng_feed_button_text_bg">@color/umeng_comm_button_bg</item>
        <item name="umeng_feed_button_text_color">@color/umeng_comm_white_color</item>
        <item name="umeng_comm_feed_list_bg">@color/umeng_comm_feed_list_bg</item>
        <item name="umeng_comm_backbutton_bg">@color/umeng_comm_color_transparent</item>
        <item name="umeng_comm_backbutton_src">@drawable/umeng_comm_title_back</item>
        <item name="umeng_comm_red_point">@drawable/umeng_comm_circle_shape</item>
        <item name="umeng_comm_find_button">@drawable/umeng_comm_find_bt</item>
        <item name="umeng_comm_divider">@color/umeng_comm_divider</item>
        <item name="umeng_comm_setting_camera">@drawable/umeng_comm_camera_pressed</item>
        <item name="umeng_comm_nick_name_color">@color/umeng_comm_text_topic_light_color</item>
        <item name="umeng_comm_focus_togglebutton">@drawable/umeng_comm_topic_togglebutton</item>
        <item name="umeng_comm_focus_togglebutton_bg">@drawable/umeng_comm_focus_user_bg</item>
        <item name="umeng_comm_focus_togglebutton_text">@color/umeng_comm_topic_toogle_color</item>
        <item name="umeng_comm_active_user_name_textcolor">@color/umeng_comm_color_666666</item>
        <item name="umeng_comm_active_user_msgcolor">@color/umeng_comm_color_a5</item>
        <item name="umeng_comm_active_user_card_bg">@color/umeng_comm_white_color</item>
        <item name="umeng_comm_other_info">@color/umeng_comm_loction_text_color</item>
        <item name="umeng_comm_search_edittext">@drawable/umeng_community_topic_bg</item>
        <item name="search_lastes_btn">@color/umeng_comm_aaa</item>
        <item name="umeng_comm_small_title_color">@color/umeng_comm_color_99</item>
        <item name="umeng_comm_category_title_color">@color/umeng_text_common_selected</item>
        <item name="umeng_comm_right_arrow">@drawable/jiantou</item>
        <item name="umeng_comm_category_edge">@drawable/huatizu</item>
        <item name="umeng_comm_chat_input_bg">@color/umeng_comm_color_f5</item>
        <item name="umeng_chat_edit_background">@drawable/umeng_edit_background</item>
        <item name="umeng_chat_edit_text_color">@color/umeng_comm_color_33</item>
        <item name="umeng_chat_send_btn_bg">@drawable/umeng_comm_chat_send_selector</item>
        <item name="umeng_chat_send_btn_text">@color/umeng_comm_white_color</item>
        <item name="umeng_comm_comment_action_dialog_text">@color/umeng_comm_color_17</item>
        <item name="umeng_comm_more_radius_top">@drawable/umeng_comm_more_radius_top</item>
        <item name="umeng_comm_more_radius_middle">@drawable/umeng_comm_radius_bg</item>
        <item name="umeng_comm_more_radius_bottom">@drawable/umeng_comm_more_radius_bottom</item>
        <item name="umeng_comm_comment_cancel_text">@color/umeng_comm_color_a5</item>
        <item name="umeng_comm_comment_send_text">@drawable/umeng_comm_comment_input_send_selector</item>
        <item name="umeng_comm_comment_edit_text">@color/umeng_comm_color_33</item>
        <item name="umeng_comm_emoj">@drawable/umeng_comm_emoji</item>
        <item name="umeng_comm_comment_msg_tv_selector">@drawable/umeng_comm_comment_msg_tv_selector</item>
        <item name="umeng_comm_reply_comment_bg">@drawable/umeng_comm_reply_comment_bg</item>
        <item name="umeng_comm_comment_name">@color/umeng_comm_color_c0</item>
        <item name="umeng_comm_defaul_icon">@drawable/morentuf</item>
        <item name="umeng_comm_find_user_nologin_text">@color/umeng_comm_color_33</item>
        <item name="umeng_comm_find_user_login_text">@color/umeng_comm_color_17</item>
        <item name="umeng_comm_notification_icon">@drawable/umeng_comm_notification</item>
        <item name="umeng_comm_favortes_icon">@drawable/umeng_comm_favorites_pressed</item>
        <item name="umeng_comm_firends_icon">@drawable/haoyouquan</item>
        <item name="umeng_comm_mytopics_icon">@drawable/guanzhuhuati</item>
        <item name="umeng_comm_mypics_icon">@drawable/wodetuce</item>
        <item name="umeng_comm_nearby_content_icon">@drawable/umeng_comm_nearby_recommend</item>
        <item name="umeng_comm_nearby_user_icon">@drawable/umeng_comm_nearby_user</item>
        <item name="umeng_comm_realtime_icon">@drawable/umeng_comm_realtime_icon</item>
        <item name="umeng_comm_recommend_user_icon">@drawable/umeng_comm_user_recommend</item>
        <item name="umeng_comm_recommend_topic_icon">@drawable/umeng_comm_topic_recommend</item>
        <item name="umeng_comm_default_user_icon">@drawable/umeng_comm_male</item>
        <item name="umeng_comm_user_add_follow_btn">@drawable/jiaguanzhu</item>
        <item name="umeng_comm_user_cancel_follow_btn">@drawable/yiguanzhu</item>
        <item name="umeng_comm_user_inter_follow_btn">@drawable/xianghu</item>
        <item name="umeng_comm_hot_choose_btn_bg">@drawable/umeng_comm_hot_button_selector</item>
        <item name="umeng_comm_hot_choose_btn_text">@drawable/umeng_comm_button_hot_btn_text_selector</item>
        <item name="umeng_comm_add_pic_btn">@drawable/umeng_comm_add_image</item>
        <item name="umeng_comm_del_pic_btn">@drawable/umeng_comm_image_delete</item>
        <item name="umeng_comm_album_text">@color/umeng_comm_black_color</item>
        <item name="umeng_comm_album_choose_btn">@drawable/umeng_comm_image_pick</item>
        <item name="umeng_comm_album_choose_check">@drawable/umeng_comm_checkbox_style</item>
        <item name="umeng_comm_album_percent_btn">@drawable/umeng_comm_blue_button_bg</item>
        <item name="umeng_comm_album_pre_btn">@drawable/umeng_comm_gray_bg</item>
        <item name="umeng_comm_save_btn">@drawable/umeng_comm_image_save_bg</item>
        <item name="umeng_comm_image_browser_bg">@color/umeng_comm_image_browser_bg</item>
        <item name="umeng_comm_current_pos_bg">@drawable/umeng_comm_current_pos_bg</item>
        <item name="umeng_switch_leftbutton_bg">@drawable/umeng_switch_leftbutton_bg</item>
        <item name="umeng_switch_centerbutton_bg">@drawable/umeng_switch_centerbutton_bg</item>
        <item name="umeng_switch_rightbutton_bg">@drawable/umeng_switch_rightbutton_bg</item>
        <item name="umeng_switch_textcolor">@color/umeng_switch_textcolor</item>
        <item name="umeng_comm_chat_other_user_bg">@drawable/duihuakuang1</item>
        <item name="umeng_comm_chat_user_bg">@drawable/duihuakuang2</item>
        <item name="umeng_comm_action_dialog_top_bg">@drawable/umeng_comm_more_radius_top</item>
        <item name="umeng_comm_action_dialog_middle_bg">@drawable/umeng_comm_more_radius_none</item>
        <item name="umeng_comm_action_dialog_radius_bottom_bg">@drawable/umeng_comm_more_radius_bottom</item>
        <item name="umeng_comm_action_dialog_bottom_bg">@drawable/umeng_comm_radius_bg</item>
        <item name="umeng_comm_location_gray_icon">@drawable/umeng_location_small_icon</item>
        <item name="umeng_comm_reply_icon">@drawable/umeng_comm_reply</item>
        <item name="umeng_comm_reply_feed_img">@color/radio_button_selected_color</item>
        <item name="umeng_comm_reply_feed_username">@color/umeng_comm_color_56</item>
        <item name="umeng_comm_reply_feed_content">@color/umeng_comm_color_7d</item>
        <item name="umeng_comm_search_icon">@drawable/umeng_comm_search_icon</item>
        <item name="umeng_comm_search_edge">@drawable/umeng_comm_rounded_corner_backgroud</item>
        <item name="umeng_comm_search_text">@color/umeng_comm_color_c5</item>
        <item name="umeng_comm_logout_bg">@drawable/umeng_comm_logout_bg</item>
        <item name="umeng_comm_logout_text">@color/umeng_comm_feed_detail_pressed_yellow</item>
        <item name="umeng_comm_topic_toast_bg">@drawable/umeng_comm_toastbg</item>
        <item name="umeng_comm_topic_toast_icon">@drawable/tishib</item>
        <item name="umeng_comm_gray">@color/umeng_background_grey</item>
        <item name="umeng_comm_userinfo_bg">@color/umeng_comm_comment_item_bg</item>
        <item name="umeng_comm_more_icon">@drawable/umeng_comm_feed_detail_more</item>
        <item name="umeng_comm_register_bg">@color/umeng_comm_e8</item>
        <item name="umeng_comm_register_divide">@color/umeng_comm_f6f7f9</item>
        <item name="umeng_comm_register_finish">@drawable/umeng_comm_login_btnbg</item>
        <item name="umeng_comm_register_hidepassword">@drawable/umeng_comm_hidepassword</item>
        <item name="umeng_comm_register_showpassword">@drawable/umeng_com_showpassword</item>
        <item name="umeng_comm_register_close">@drawable/umeng_comm_login_close</item>
        <item name="umeng_comm_login_user">@drawable/umeng_comm_user_p</item>
        <item name="umeng_comm_login_lock">@drawable/umeng_comm_lock</item>
        <item name="umeng_comm_login_forget">@color/umeng_comm_469ef8</item>
        <item name="umeng_comm_login_btnbg">@drawable/umeng_comm_login_btnbg</item>
        <item name="umeng_comm_register_btnbg">@drawable/umeng_comm_register_btnbg</item>
        <item name="umeng_comm_setting_icon">@drawable/umeng_comm_setting_bt</item>
        <item name="umeng_comm_favour_icon">@drawable/umeng_comm_favourite_button</item>
        <item name="umeng_comm_xie_icon">@drawable/xie</item>
        <item name="umeng_comm_chat_icon">@drawable/umeng_comm_chat_btn</item>
        <item name="umeng_comm_male_icon">@drawable/umeng_comm_user_info_male</item>
        <item name="umeng_comm_female_icon">@drawable/umeng_comm_user_info_female</item>
        <item name="umeng_comm_xiangce_icon">@drawable/xiangce</item>
        <item name="umeng_comm_huati_icon">@drawable/huati</item>
        <item name="umeng_comm_xunzhang_icon">@drawable/jifen</item>
        <item name="umeng_comm_userinfo_icon_color">@color/umeng_comm_userinfo_color</item>
        <item name="umeng_comm_detail_more">@drawable/umeng_comm_share</item>
        <item name="umeng_comm_detail_favour">@drawable/umeng_comm_feed_detail_favorite_n</item>
        <item name="umeng_comm_detail_location">@drawable/umeng_community_location</item>
        <item name="umeng_comm_detail_location_text">@color/umeng_comm_loction_text_color</item>
        <item name="umeng_comm_detail_forward_bg">@drawable/umeng_comm_forward_bg</item>
        <item name="umeng_comm_detail_discuss_like">@drawable/umeng_comm_like_bt</item>
        <item name="umeng_comm_detail_discuss_like_btn">@drawable/umeng_commm_feeddetail_like_selector</item>
        <item name="umeng_comm_detail_discuss_forward">@drawable/umeng_comm_forward_bt</item>
        <item name="umeng_comm_detail_discuss_comment">@drawable/umeng_comm_comment</item>
        <item name="umeng_comm_detail_discuss_comment_btn">@drawable/umeng_comm_feed_detail_comment_selector</item>
        <item name="umeng_comm_detail_discuss_favourite">@drawable/umeng_comm_feed_detail_favorite_selector</item>
        <item name="umeng_comm_detail_discuss_ding">@drawable/umeng_comm_feed_item_top</item>
        <item name="umeng_comm_detail_discuss_jing">@drawable/umeng_comm_feed_item_essential</item>
        <item name="umeng_comm_comment_input_bg">@color/umeng_comm_comment_input_bg</item>
        <item name="umeng_comm_detail_blue_selector">@drawable/umeng_comm_feed_detail_blue_selector</item>
        <item name="umeng_comm_detail_blue_tv_selector">@drawable/umeng_comm_feed_detail_tv_blue_selector</item>
        <item name="umeng_comm_detail_reply_bg">@drawable/umeng_comm_feed_detail_blue_n</item>
        <item name="umeng_comm_detail_reply_icon">@drawable/umeng_comm_feed_detail_reply_comment</item>
        <item name="umeng_comm_detail_yellow_selector">@drawable/umeng_comm_feed_detail_yellow_selector</item>
        <item name="umeng_comm_detail_yellow_tv_selector">@drawable/umeng_comm_feed_detail_tv_yellow_selector</item>
        <item name="umeng_comm_discuss_announce">@drawable/umeng_comm_discuss_announce</item>
        <item name="umeng_comm_feed_item_like">@drawable/umeng_comm_feed_item_like</item>
        <item name="umeng_comm_feed_item_comment">@drawable/umeng_comm_feed_item_comment</item>
        <item name="umeng_comm_default_topic_icon">@drawable/umeng_comm_topic_icon</item>
        <item name="umeng_comm_focus_btn">@drawable/umeng_commm_active_user_togglebutton_bg</item>
        <item name="umeng_comm_feed_comment_comment">@drawable/umeng_comm_comment_comment_selector</item>
        <item name="umeng_comm_feed_comment_like">@drawable/umeng_comm_comment_like_selector</item>
        <item name="umeng_comm_post_cancel_btn">@drawable/umeng_comm_cancel_bt</item>
        <item name="umeng_comm_post_ok_btn">@drawable/umeng_comm_send_pressed</item>
        <item name="umeng_comm_select_topic_tv_selector">@drawable/umeng_comm_select_topic_tv_selector</item>
        <item name="umeng_comm_post_location_btn">@drawable/umeng_comm_select_location_selector</item>
        <item name="umeng_comm_post_topic_btn">@drawable/umeng_comm_select_topic_selector</item>
        <item name="umeng_comm_post_tishi_btn">@drawable/tishih</item>
        <item name="umeng_comm_post_tishi_toast">@drawable/tishib</item>
        <item name="umeng_comm_post_at_btn">@drawable/umeng_comm_at_friend_bt</item>
        <item name="umeng_comm_post_emoj_btn">@drawable/umeng_comm_emoji_btn_selector</item>
        <item name="umeng_comm_post_bar_color">@color/umeng_comm_color_f0</item>
        <item name="umeng_comm_radio_button">@drawable/umeng_comm_radio_shape</item>
        <item name="umeng_comm_search_result_more">@drawable/umeng_comm_like_more_user</item>
        <item name="umeng_comm_forward_btn">@drawable/zhuangfa</item>
        <item name="umeng_comm_feed_card_btn">@drawable/feedbuttonbg</item>
        <item name="umeng_comm_post_feed_btn">@drawable/umeng_comm_topic_bt</item>
        <item name="umeng_comm_post_topic_tip">@drawable/umeng_comm_add_topic_bg</item>
        <item name="umeng_comm_search_default_text">@color/umeng_comm_text_default_color</item>
        <item name="umeng_comm_search_edge_style">@drawable/umeng_comm_search_frame_style</item>
        <item name="umeng_comm_msg_comment">@drawable/umeng_comm_msg_comment</item>
        <item name="umeng_comm_msg_like">@drawable/umeng_comm_msg_like</item>
        <item name="umeng_comm_msg_notice">@drawable/umeng_comm_msg_notice</item>
        <item name="umeng_comm_msg_chat">@drawable/umeng_comm_msg_chat</item>
        <item name="umeng_comm_msg_at">@drawable/umeng_comm_msg_like</item>
        <item name="umeng_comm_emojipoint_normal">@drawable/umeng_comm_emojipoint_normal</item>
        <item name="umeng_comm_emojipoint_pressed">@drawable/umeng_comm_emojipoint_pressed</item>
        <item name="umeng_comm_like_more_user_pressed">@drawable/umeng_comm_like_more_user_pressed</item>
        <item name="umeng_comm_like_more_user_normal">@drawable/umeng_comm_like_more_user_normal</item>
        <item name="blue_line_for_tv">@drawable/blue_line_for_tv</item>
        <item name="umeng_comm_image_camera">@drawable/xiangji</item>
        <item name="umeng_comm_top_announce">@drawable/umeng_comm_top_announce</item>
        <item name="umeng_comm_announce">@drawable/umeng_comm_announce</item>
        <item name="umeng_comm_top">@drawable/umeng_comm_top</item>
        <item name="umeng_comm_weibo_jing">@drawable/jing</item>
        <item name="umeng_comm_weibo_ding">@drawable/ding</item>
        <item name="umeng_comm_switch_frame">@drawable/umeng_comm_switch_frame</item>
        <item name="umeng_comm_selector_switch_state">@drawable/umeng_comm_selector_switch_state</item>
        <item name="umeng_comm_switch_state_mask">@drawable/umeng_comm_switch_state_mask</item>
        <item name="umeng_comm_selector_switch_slider">@drawable/umeng_comm_selector_switch_slider</item>
        <item name="umeng_comm_url_color">@color/umeng_comm_url_color</item>
        <item name="umeng_comm_clip_image_paint">@color/umeng_comm_clip_image_paint</item>
        <item name="umeng_comm_topic_tip_bg">@color/umeng_comm_topic_tip_bg</item>
        <item name="umeng_comm_nearby_location_icon">@drawable/umeng_comm_nearby_loc_icon</item>
        <item name="umeng_comm_no_content_default_color">@color/umeng_comm_black_color</item>
    </style>